<h1>New user</h1>

<form [formGroup]="userFormGroup">

  <mat-form-field appearance="fill">
    <mat-label>Name</mat-label>
    <input matInput formControlName="name">
    <mat-error *ngIf="userFormGroup.controls['name'].errors as errors">
      <span *ngIf="errors['required']">The name is required</span>
      <span *ngIf="errors['minlength']">The name must be at least 3 characters long</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>Email</mat-label>
    <input matInput formControlName="email">
    <mat-error [printErrors]="userFormGroup.get('email')"></mat-error>
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>Password</mat-label>
    <input matInput type="password" formControlName="password">
  </mat-form-field>

  <div class="actions">
    <button mat-raised-button routerLink="/users">Cancel</button>
    <button mat-raised-button (click)="onReset()">Reset</button>
    <button
      mat-raised-button
      color="primary"
      (click)="onSubmit()"
      [disabled]="userFormGroup.invalid && (userFormGroup.dirty || userFormGroup.touched)">
      Submit</button>
  </div>

</form>
